unit Demomain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, IDMCopy, ComCtrls, ExtCtrls;

type
  TIDMCopyDemo = class(TForm)
    Edit1: TEdit;
    Edit2: TEdit;
    Button1: TButton;
    Edit3: TEdit;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    Edit4: TEdit;
    Label6: TLabel;
    CheckBox3: TCheckBox;
    CheckBox4: TCheckBox;
    CheckBox5: TCheckBox;
    CheckBox6: TCheckBox;
    IDMCopier1: TIDMCopier;
    StatusBar1: TStatusBar;
    Image1: TImage;
    CheckBox7: TCheckBox;
    procedure Button1Click(Sender: TObject);
    procedure CheckBox4Click(Sender: TObject);
    procedure CheckBox5Click(Sender: TObject);
    procedure CheckBox6Click(Sender: TObject);
    procedure IDMCopier1AfterCopyFailed(Sender: TObject);
    procedure IDMCopier1AfterCopySuccess(Sender: TObject);
    procedure IDMCopier1BeforeCopyNow(Sender: TObject);
    procedure IDMCopier1DuringCheckCopied(Sender: TObject);
    procedure IDMCopier1DuringCreateDir(Sender: TObject);
    procedure IDMCopier1DuringFileCopy(Sender: TObject);
    procedure IDMCopier1DuringDeleteFile(Sender: TObject);
    procedure CheckBox7Click(Sender: TObject);
    procedure IDMCopier1DuringDeleteOriginal(Sender: TObject);
  private
    { Private declarations }
  public
    Procedure waitawhile;
    { Public declarations }
  end;

var
  IDMCopyDemo: TIDMCopyDemo;

implementation


{$R *.DFM}

Procedure TIDMCopyDemo.waitawhile;
var
   wait : Integer;
begin
     for wait := 1 to 60000000 do begin
     end;
end;
procedure TIDMCopyDemo.Button1Click(Sender: TObject);
begin
     IDMCopier1.CopyFrom :=Edit1.Text;
     IDMCopier1.CopyTo   :=Edit2.text;
     IDMCopier1.FileName :=Edit3.text;
     If CheckBox1.Checked = true then IDMCopier1.OverWrite := True else
        IDMCopier1.Overwrite := False;
     If CheckBox2.Checked = true then IDMCopier1.CreateDestDir := True else
        IDMCopier1.CreateDestDir := False;
     If CheckBox3.Checked = true then begin
        IDMCopier1.FileListName := Edit4.Text;
        IDMCopier1.FileListUse := True;
     end;
     If CheckBox3.Checked = false then begin
        IDMCopier1.FileListUse := False;
     end;
     IDMCopier1.CopyNow;
end;



procedure TIDMCopyDemo.CheckBox4Click(Sender: TObject);
begin
     If CheckBox4.Checked = True then IDMCopier1.Enabled := true
        else IDMCopier1.Enabled := false;
end;


procedure TIDMCopyDemo.CheckBox5Click(Sender: TObject);
begin
     If checkbox5.Checked = true then IDMCopier1.CheckCopied := true
        else IDMCopier1.CheckCopied := False;
end;

procedure TIDMCopyDemo.CheckBox6Click(Sender: TObject);
begin
     If CheckBox6.Checked = True then IDMCopier1.CheckDestFree := True
        else IDMCopier1.CheckDestFree := False;
end;

procedure TIDMCopyDemo.IDMCopier1AfterCopyFailed(Sender: TObject);
begin
StatusBar1.Panels[0].Text :='Copy process failed.';
StatusBar1.Panels[1].Text :='';
StatusBar1.Refresh;
end;

procedure TIDMCopyDemo.IDMCopier1AfterCopySuccess(Sender: TObject);
begin
StatusBar1.Panels[0].Text :='Copy process worked.';
StatusBar1.Panels[1].Text :='';
StatusBar1.Refresh;
end;

procedure TIDMCopyDemo.IDMCopier1BeforeCopyNow(Sender: TObject);
begin
StatusBar1.Panels[0].Text :='Starting copy process.';
StatusBar1.Panels[1].Text :='Please wait.';
StatusBar1.Refresh;
waitawhile;
end;

procedure TIDMCopyDemo.IDMCopier1DuringCheckCopied(Sender: TObject);
begin
StatusBar1.Panels[0].Text :='Checking: ' + IDMCopier1.FileName;
StatusBar1.Refresh;
waitawhile;
end;

procedure TIDMCopyDemo.IDMCopier1DuringCreateDir(Sender: TObject);
begin
StatusBar1.Panels[0].Text :='Creating: ' + IDMCopier1.CopyTo;
StatusBar1.Refresh;
waitawhile;
end;

procedure TIDMCopyDemo.IDMCopier1DuringFileCopy(Sender: TObject);
begin
StatusBar1.Panels[0].Text :='Copying: ' + IDMCopier1.FileName;
StatusBar1.Refresh;
waitawhile;
end;

procedure TIDMCopyDemo.IDMCopier1DuringDeleteFile(Sender: TObject);
begin
StatusBar1.Panels[0].Text :='Deleting: ' + IDMCopier1.FileName;
StatusBar1.Refresh;
waitawhile;
end;

procedure TIDMCopyDemo.CheckBox7Click(Sender: TObject);
begin
     If CheckBox7.Checked = True then IDMCopier1.DeleteOriginal := True
        else IDMCopier1.DeleteOriginal := False;
end;

procedure TIDMCopyDemo.IDMCopier1DuringDeleteOriginal(Sender: TObject);
begin
StatusBar1.Panels[0].Text :='Deleting Original: ' + IDMCopier1.FileName;
StatusBar1.Refresh;
waitawhile;
end;

end.
